<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100071";
///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
			
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
		
			///Arrastrando Campos
			///Arrastrando Campos
			
			$NPalletEn=$_POST['txt_NPALLET'] or $NPalletEn=$_GET['txt_NPALLET'];
			
			$FechaEn  = $_POST['txt_fecha'] or $FechaEn=$_GET['txt_fecha'];              
			
			$ExtAño = substr($FechaEn, -10, 4);    // devuelve el año
			$ExtMes = substr($FechaEn, -5, 2);    // devuelve el mes
			$ExtDia= substr($FechaEn, -2, 2);    // devuelve el día
			$CambioCaducidadPG=$ExtAño."/".$ExtMes."/".$ExtDia;
			
			
			
		
			if ($FechaEn == "")
			{ ////Inicia If Estado Caducidad en blanco
			echo "<script>alert('Favor de digitar la fecha de caducidad a Procesar.')</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-ProcesosCaducidad2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI&txt_NPALLET=$NPalletEn'>";
			}
			else
			{ ////Else If Ubicacion destino en blanco
			if (checkdate($ExtMes , $ExtDia , $ExtAño )==false) {

  		  		 echo "<script>alert('La fecha y/o el formato ingresado es incorrecto. \\nFavor de corroborarlo.'); </script>";
	 echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-ProcesosCaducidad2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI&txt_NPALLET=$NPalletEn'>";	
				} 
				else {

  	

		
			//////HORA y FECHA/////
							$Hora=time();
							$HoraOK=date("H:i:s",$Hora);
							$Fecha=date("Y/m/d");
			////validad fecha caducidad no menor a  fecha actual
			
				if($CambioCaducidadPG <=$Fecha){
			echo "<script>alert('No es posible ingresar una fecha de caducidad anterior o igual a la actual.\\n\\nFavor de Corroborlo'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-ProcesosCaducidad2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI&txt_NPALLET=$NPalletEn'>";
							
				}
			else
			{ 
			
	
				$CuentaRegExitosos = "0";
				$CuentaRegTotal = "0";
				
//////¿?¿?¿?¿?¿?¿?¿?¿?¿?¿??¿?¿?¿?¿?¿?¿?¿?¿?¿? Inicia While 1	¿?¿?¿?¿?¿?¿?¿?¿?¿??¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?//////		
				$sqlW1 = "SELECT * FROM temporal_cambiocaducidad WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' ORDER BY ID  ASC";
				$resW1=mysql_query($sqlW1) or die('Error en la consulta: '.mysql_error());
				While($rowW1 = mysql_fetch_array($resW1,MYSQL_ASSOC))
				{ //// Inicia While 1
				$IdElimC=$rowW1["ID"];	
				$$NPalletEn=$rowW1["NO_PALLET"];
				$CaliAnteC=$rowW1["FECHA_CADU"];
				
					/////Identificar el codigo SKU del producto por medio de la clave del Pallet
					$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalletEn'");
					if (mysql_numrows($sqlDU2)==0) echo "";
					else{
					$registroDU2=mysql_fetch_array($sqlDU2);
					}
					if (mysql_numrows($sqlDU2)>0)
					{
						
						$CSku=$registroDU2["SKU"];
						$CSkuAlt=$registroDU2["SKU_ALT"];
						$CNoDoc=$registroDU2["NO_DOCUMENTO"];
						$CCanti=$registroDU2["CANTIDAD"];
						$CCadu=$registroDU2["CADUCIDAD"];
						$CUbicaActu=$registroDU2["UBICACION"];
				
						$CCantiMEN="-".$registroDU2["CANTIDAD"];
						$CCantiMAS=$registroDU2["CANTIDAD"];
					}					
					

						/////Identificar el Criterio de Almaceaje de la Ubicación Destino
						$sqlDU3 = mysql_query("select * from tabla_criterio_almacenamiento WHERE CVE_CUENTA='$CveCueCR1' AND CVE_UBICACION='$CUbicaActu'");
						if (mysql_numrows($sqlDU3)==0) echo "";
						else{
						$registroDU3=mysql_fetch_array($sqlDU3);
						}
						if (mysql_numrows($sqlDU3)>0)
						{
						$Com_CaducidadDU3=$registroDU3["COMBINACION_CADUCIDAD"];	
						}
							
							//////HORA y FECHA/////
							$Hora=time();
							$HoraOK=date("H:i:s",$Hora);
							$Fecha=date("Y/m/d");
			
							//////Validar si el cambio de caducidad esta Autorizado dentro de la configuración del Almacenaje////
 							////En otras palabras, si NO utiliza la combinación de Caducidades no dejara realizar el cambio  a                            dicho pallet////
							
							if ($Com_CaducidadDU3<>"NO")
							{ ////Inicia IF Valida Combinación de Caducidad
							
							$CuentaRegTotal=$CuentaRegTotal+1;
							
								////""""""" Generar el Registro a menos dentro del Kardex """"""""////
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK); 
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
		
							    ///////Variables Fijas////////////
								$NMovimiento="CADUCIDAD - ".$CCadu;
								$NMovimientoMAS="CADUCIDAD + ".$CambioCaducidadPG;
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimiento','$CUbicaActu','$NPalletEn','$CCantiMEN','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMEN=mysql_query($sqlKMEN,$conexion) or die(mysql_error());
								
								
								////""""""" Generar el Registro a menos dentro del Kardex """"""""////
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK2 = "select max(ID) as ultimo_FOLIOK2 from tabla_kardex"; 
								$libK2 = mysql_query($sqlIDK2); 
								$rs_libK2 = mysql_fetch_assoc($libK2); 
								$id_nuevoK2 = $rs_libK2['ultimo_FOLIOK2'] + 1;
			
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        	values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimientoMAS','$CUbicaActu','$NPalletEn','$CCantiMAS','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMAS=mysql_query($sqlKMAS,$conexion) or die(mysql_error());
								
								/////Consulta que elimina el Pallet de la tabla Temporal (temporal_caducidad)///////
								$sqlEtt= "DELETE FROM temporal_cambiocaducidad WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalletEn' AND ID='$IdElimC'";
								$resultadoEtt=mysql_query($sqlEtt,$conexion) or die(mysql_error());
			
								//////Guardar el Cabio de Caducidad en la BD - Modifica la Table Inventario//////////
								$sqlMI="UPDATE tabla_inventario SET CADUCIDAD='$CambioCaducidadPG' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalletEn'";
								$resultadoMI=mysql_query($sqlMI,$conexion) or die(mysql_error());
								
							} ////Termina IF Valida Combinación de Caducidad
							else
							{ ////Inicia Else Valida Combinación de Caducidad
								
								/////// Generador de Folio concecutivo en la tabla temporal_bitacora_caducidad //////
								$sqlBT = "select max(ID) as ultimo_FOLIOBT from temporal_bitacora_caducidad"; 
								$libBT = mysql_query($sqlBT); 
								$rs_libBT = mysql_fetch_assoc($libBT); 
								$id_nuevoBT = $rs_libBT['ultimo_FOLIOBT'] + 1;
								
								////// Guardar el registro de la Incidencia en la tabla temporal_bitacora_caducidad /////
								//$sqlAI = "insert into temporal_bitacora_caducidad (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,CADUCIDAD_ACT,CADUCIDAD_CAM,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
        	//values('$id_nuevoBT','$CveBodCR1','$CveCueCR1','$NPalletEn,'$CCadu','$CambioCaducidadPG','El Criterio de Almacenamiento de la Ubicación: $CUbicaActu no permite Combinar Fechas de Caducidad','$UsuEn','$HoraOK','$Fecha')";
								//$resultadoAI=mysql_query($sqlAI,$conexion) or die(mysql_error());
								
							} ////Termina Else Valida Combinación de Caducidad
				
				$CuentaRegExitosos=$CuentaRegExitosos+1;
				
				} 
						
						{ ///// Inicia Else Validador de Proceso
							echo "<script>alert('CAMBIO DE CADUCIDAD PROCESADO CORRECTAMENTE.'); </script>";
							
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-ProcesosCaducidad.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI&txt_NPALLET=$NPalletEn'>";
				
				} //// Termina If Disponiblidad de Caducidad
			} ////Termina If Estado Caducidad en blanco
			}
			/////VALIDAR FECHA
		
			
?>

		 
      
      <!-- Termina Cuerpo de la Pantalla -->		
  </div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
}
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

<input name="txt_NPALLET" type="text" id="txt_NPALLET" size="1" required="required" autofocus="autofocus"/>
</body>
</html>
